Supply intelligence

Request approval to buy test stock through PayPal (creates an approval; pays nothing)

POST
/api/v1/supply/recommendations/{rec_id}/purchase

Request approval to buy test stock through PayPal (creates an approval; pays nothing).

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

rec_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

currency?|
Length3 <= length <= 3
payee_email*string

The supplier's PayPal email.

Length3 <= length <= 255
quantity*integer
Range1 <= value <= 10000
unit_cost*|

The supplier's unit cost (not a retail price).

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/supply/recommendations/497f6eca-6276-4993-bfeb-53cbbbba6f08/purchase" \  -H "Content-Type: application/json" \  -d '{    "payee_email": "string",    "quantity": 1,    "unit_cost": 0  }'
{  "data": {},  "meta": {},  "success": true}